LibreOffice LibreOffice 26.2 SDK API Reference

Variables
com::sun::star::text::TemplateDisplayFormat Constant Group Referencepublished

These constants are used to specify which information about a template is displayed in a field. More...

## Variables
const short | FULL = 0
const short | PATH = 1
const short | NAME = 2
| Only the file name, without file extension, of the template file will be displayed. More...
const short | NAME_AND_EXT = 3
| The file name and the file extension of the template file will be displayed. More...
const short | AREA = 4
| The name of the template area is displayed. More...
const short | TITLE = 5
| The title of the template file is displayed. More...

## Detailed Description

These constants are used to specify which information about a template is displayed in a field.

## Variable Documentation

## ◆ AREA

const short AREA = 4

The name of the template area is displayed.

## ◆ FULL

const short FULL = 0

## ◆ NAME

const short NAME = 2

Only the file name, without file extension, of the template file will be displayed.

## ◆ NAME_AND_EXT

const short NAME_AND_EXT = 3

The file name and the file extension of the template file will be displayed.

## ◆ PATH

const short PATH = 1

## ◆ TITLE

const short TITLE = 5

The title of the template file is displayed.